Summary:		ratfor fortran preprocessor
Name:			ratfor
Version:		1.0.8
Release:		0mdk
License:		GPL
Group:			Development/Languages

Prereq:			/usr/bin/g77

Source0:		ratfor_1.0.orig.tar.gz
# Short documentation from MIT
Source1:		ratfor.ps.bz2
# Patch from Debian
Patch0:			ratfor_1.0-8.diff.bz2

URL:			http://sepwww.stanford.edu/software/%{name}.html
Vendor:	                Stanford Exploration Project

BuildRoot:		%{_tmppath}/%{name}-buildroot
ExclusiveArch:		%{ix86} ia64 x86_64 amd64
PreReq:			rpm-helper

%description
Ratfor is preprocessor for FORTRAN code that allows us to use C-like flow expressions. 

%prep 
%setup -c 
bzcat %{SOURCE1} >%{name}.ps
ls -l
%patch -p0
mv ratfor-1.0.orig/* .
rmdir ratfor-1.0.orig

%build
%make -f Makefile

%install
mkdir -p $RPM_BUILD_ROOT/%_bindir
install -m755 ratfor $RPM_BUILD_ROOT/%_bindir
mkdir -p $RPM_BUILD_ROOT/%_mandir/man1
install -m644 ratfor.man $RPM_BUILD_ROOT/%_mandir/man1/ratfor.1

# (sb) installed but unpackaged
rm -f $RPM_BUILD_ROOT/ratfor.ps


%clean
rm -rf $RPM_BUILD_ROOT

#%post
#%_post_service powernowd

#%preun
#%_preun_service powernowd

%files
%defattr(-,root,root)
%doc README %{name}.ps
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Wed Jun 02 2004 Nicolas Brouard <nicolas.brouard@libertysurf.fr> 1.0.8-0mdk 
- initial contribs version of ratfor package
